Last modified: 2012-07-26 20:50:05 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21822 - Define new "magic word" {{MEDIAINCATEGORY:categoryname}}
Define new "magic word" {{MEDIAINCATEGORY:categoryname}}
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Categories (Other open bugs)
1.16.x
All All
: Normal enhancement with 2 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-11 15:20 UTC by User:Docu
Modified: 2012-07-26 20:50 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description User:Docu 2009-12-11 15:20:35 UTC
Similar to {{PAGESINCATEGORY:categoryname}} and {{PAGESINCAT:Help}}, please define a new magic word that counts just the number of media in a category. 

For commons, the number of pages/subcategories isn't generally that interesting, but the number of media (images/photos/videos etc.) is.

The information might already be available somewhere as parent categories already display the number of files, pages and subcategories separately.
Comment 1 Chad H. 2010-09-30 15:19:12 UTC

*** This bug has been marked as a duplicate of bug 14237 ***
Comment 2 User:Docu 2011-07-10 12:28:15 UTC
I rather see a magic word that's there just for media. Commons needs primarily this, not all others.
Comment 3 db [inactive,noenotif] 2011-08-19 19:41:46 UTC
This should be a param for PAGESINCATEGORY to allow the following syntax:

* {{PAGESINCATEGORY:cat}}
* {{PAGESINCATEGORY:cat|all}} - as alias for the first one
* {{PAGESINCATEGORY:cat|files}}
* {{PAGESINCATEGORY:cat|subcats}}
* {{PAGESINCATEGORY:cat|pages}} - this number is not stored in the database, but should be compute by "all - files - subcats"
Comment 4 User:Docu 2011-08-21 09:50:08 UTC
If {{PAGESINCATEGORY:cat|files}} ever gets implemented, {{MEDIAINCATEGORY:cat}} could be an alias for this. bug 14237 dates from 2008, so it seems unlikely that it will ever get done. There isn't really a clear use for most other cases anyway.

If {{MEDIAINCATEGORY:cat}} is implemented, {{PAGESINCATEGORY:cat|files}} could be an alias for {{MEDIAINCATEGORY:cat}}.
Comment 5 Umherirrender 2012-07-26 20:50:05 UTC
Gerrit change #12790 is successfully merged

You can use {{PAGESINCATEGORY:catname|files}} or {{PAGESINCATEGORY:catname|files|R}} or {{PAGESINCATEGORY:catname|R|files}} to get the count of files inside the category.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links